Summary:        Utilities to write and check a MANIFEST file
Name:           perl-ExtUtils-Manifest
Version:        1.75
Release:        2%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/ExtUtils-Manifest
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/ExtUtils-Manifest-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make perl-generators perl-interpreter perl(strict)
BuildRequires:  perl(Carp) perl(Config) perl(Exporter) perl(warnings)
BuildRequires:  perl(File::Copy) perl(File::Find) perl(File::Path) perl(File::Basename)
BuildRequires:  perl(Cwd) perl(Data::Dumper) perl(Test::More) 
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 
BuildRequires:  perl(File::Spec) >= 0.8
Requires:       perl(File::Path)      

%description
Utilities to write and check a MANIFEST file

%prep
%autosetup -n ExtUtils-Manifest-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot} 

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.75-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.75-1
- Upgrade to upstream version 1.75
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.73-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.73-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 05 2022 Wang Zhe <bessiewang@tencent.com> - 1.73-1
- initial build 
